%define	upstream_name	 DBIx-Class-HTMLWidget
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Like FromForm but with DBIx::Class and HTML::Widget
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(HTML::Widget) >= 1.03
BuildArch:	noarch


%description
Something like Class::DBI::FromForm / Class::DBI::FromCGI but using
HTML::Widget for form creation and validation and DBIx::Class as a ORM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%make_install

%files
%doc Changes META.yml
%{perl_vendorlib}/DBIx
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-9.mga8
+ Revision: 1493905
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.160.0-8.mga7
+ Revision: 1267045
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-7.mga6
+ Revision: 1025461
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.160.0-6.mga6
+ Revision: 942553
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-5.mga5
+ Revision: 744932
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-4.mga5
+ Revision: 684115
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 510383
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 365119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 42891
- mageia rebuild
- imported package perl-DBIx-Class-HTMLWidget


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 408951
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.16-3mdv2009.0
+ Revision: 256580
- rebuild

* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2008.1
+ Revision: 164877
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2008.1
+ Revision: 110922
- new version

* Mon May 14 2007 Buchan Milne <bgmilne@mandriva.org> 0.09-1mdv2008.0
+ Revision: 26623
- Import perl-DBIx-Class-HTMLWidget

